import { html as a } from "lit";
import { property as h } from "lit/decorators.js";
import { PieIconComponent as l } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, f = Object.getOwnPropertyDescriptor, c = (i, t, r, s) => {
  for (var e = s > 1 ? void 0 : s ? f(t, r) : t, n = i.length - 1, p; n >= 0; n--)
    (p = i[n]) && (e = (s ? p(t, r, e) : p(e)) || e);
  return s && e && u(t, r, e), e;
};
let o = class extends l {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--thumbsDown", this.class = "c-pieIcon c-pieIcon--thumbsDown", this.name = "IconThumbsDown";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--thumbsDown"><path d="M14.204 6.906 13.18 3.625a2.406 2.406 0 0 0-2.24-1.54H1.875v1.313H4.5a9.082 9.082 0 0 0-.131 1.61c-.003.78.067 1.56.21 2.327H1.875v1.313h4.314a.21.21 0 0 1 .183.105l2.503 5.153h.989a1.793 1.793 0 0 0 1.75-2.135l-.464-2.415 1.96-.481a1.514 1.514 0 0 0 .963-.726 1.557 1.557 0 0 0 .13-1.243Zm-1.269.569a.236.236 0 0 1-.14.105l-3.176.814.726 3.64a.472.472 0 0 1-.455.56h-.14L7.562 8.13a1.575 1.575 0 0 0-1.338-.787h-.272a10.99 10.99 0 0 1-.236-2.328 8.05 8.05 0 0 1 .14-1.61h5.084a1.076 1.076 0 0 1 1.006.674l1.007 3.22a.218.218 0 0 1-.018.175Z"></path></svg>`;
  }
};
c([
  h({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  h({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  m("icon-thumbs-down")
], o);
export {
  o as IconThumbsDown
};
